Parameters (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.Parameters class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http
Class Parameters

    java.lang.Object
      org.apache.tomcat.util.http.Parameters

public final class Parameters
extends java.lang.Object

Author:
  Costin Manolache

Field Summary
`protected static StringManager` | `sm`

Constructor Summary
`Parameters()`

Method Summary
`void` | `addParameterValues(java.lang.String key, java.lang.String[] newValues)`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`void` | `handleQueryParameters()` Process the query string into parameters
`boolean` | `isParseFailed()`
`java.lang.String` | `paramsAsString()` Debug purpose
`void` | `processParameters(byte[] bytes, int start, int len)`
`void` | `processParameters(MessageBytes data, java.lang.String encoding)`
`void` | `recycle()`
`void` | `setEncoding(java.lang.String s)`
`void` | `setLimit(int limit)`
`void` | `setParseFailed(boolean parseFailed)`
`void` | `setQuery(MessageBytes queryMB)`
`void` | `setQueryStringEncoding(java.lang.String s)`
`void` | `setURLDecoder(UDecoder u)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected static final StringManager sm

Constructor Detail

### Parameters

    public Parameters()

Method Detail

### setQuery

    public void setQuery(MessageBytes queryMB)

### setLimit

    public void setLimit(int limit)

### getEncoding

    public java.lang.String getEncoding()

### setEncoding

    public void setEncoding(java.lang.String s)

### setQueryStringEncoding

    public void setQueryStringEncoding(java.lang.String s)

### isParseFailed

    public boolean isParseFailed()

### setParseFailed

    public void setParseFailed(boolean parseFailed)

### recycle

    public void recycle()

### addParameterValues

    public void addParameterValues(java.lang.String key,
                                   java.lang.String[] newValues)

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### getParameterNames

    public java.util.Enumeration getParameterNames()

### getParameter

    public java.lang.String getParameter(java.lang.String name)

### handleQueryParameters

    public void handleQueryParameters()

  Process the query string into parameters

### setURLDecoder

    public void setURLDecoder(UDecoder u)

### processParameters

    public void processParameters(byte[] bytes,
                                  int start,
                                  int len)

### processParameters

    public void processParameters(MessageBytes data,
                                  java.lang.String encoding)

### paramsAsString

    public java.lang.String paramsAsString()

  Debug purpose

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.